<?xml version="1.0" encoding="utf-8"?>
<creole>

    <files/>

    <variables>

        <family name='exceptions proxy' icon='code-fork'>

            <!-- domaines de destination -->
            <variable name='proxy_bypass_domain_eth0' type='domain_strict' description="Exceptions de type nom de domaine pour l'interface 0" multi='True'/>
            <variable name='proxy_bypass_domain_eth1' type='domain_strict' description="Exceptions de type nom de domaine pour l'interface 1" multi='True'/>
            <variable name='proxy_bypass_domain_eth2' type='domain_strict' description="Exceptions de type nom de domaine pour l'interface 2" multi='True'/>
            <variable name='proxy_bypass_domain_eth3' type='domain_strict' description="Exceptions de type nom de domaine pour l'interface 3" multi='True'/>
            <variable name='proxy_bypass_domain_eth4' type='domain_strict' description="Exceptions de type nom de domaine pour l'interface 4" multi='True'/>

            <!-- authentification -->
            <variable name='proxy_noauth' type='string' description="Liste des domaines de destination à ne pas authentifier" multi='True'/>
            <variable name='proxy_noauth_auto' type='string' description="Agrégation des domaines de destination à ne pas authentifier" multi='True'/>

            <!-- IP/réseaux de destination-->
            <variable name='proxy_bypass_eth0' type='oui/non' description="Ajouter des exceptions de destination pour l'interface 0">
                <value>non</value>
            </variable>
            <variable name='proxy_bypass_network_eth0' type='network' description="Exceptions de type réseau pour l'interface 0" multi='True' mandatory='True'/>
            <variable name='proxy_bypass_netmask_eth0' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_eth1' type='oui/non' description="Ajouter des exceptions de destination pour l'interface 1">
                <value>non</value>
            </variable>
            <variable name='proxy_bypass_network_eth1' type='network' description="Exceptions de type réseau pour l'interface 1" multi='True' mandatory='True'/>
            <variable name='proxy_bypass_netmask_eth1' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_eth2' type='oui/non' description="Ajouter des exceptions de destination pour l'interface 2">
                <value>non</value>
            </variable>
            <variable name='proxy_bypass_network_eth2' type='network' description="Exceptions de type réseau pour l'interface 2" multi='True' mandatory='True'/>
            <variable name='proxy_bypass_netmask_eth2' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_eth3' type='oui/non' description="Ajouter des exceptions de destination pour l'interface 3">
                <value>non</value>
            </variable>
            <variable name='proxy_bypass_network_eth3' type='network' description="Exceptions de type réseau pour l'interface 3" multi='True' mandatory='True'/>
            <variable name='proxy_bypass_netmask_eth3' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_eth4' type='oui/non' description="Ajouter des exceptions de destination pour l'interface 4">
                <value>non</value>
            </variable>
            <variable name='proxy_bypass_network_eth4' type='network' description="Exceptions de type réseau pour l'interface 4" multi='True' mandatory='True'/>
            <variable name='proxy_bypass_netmask_eth4' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>

            <!-- IP/réseaux source-->
            <!--<variable name='proxy_bypass_src_network_eth0' type='network' description="Exception source de type réseau pour l'interface 0" multi='True'/>
            <variable name='proxy_bypass_src_netmask_eth0' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>-->
            <variable name='proxy_bypass_src_network_eth1' type='network' description="Exception source de type réseau pour l'interface 1" multi='True'/>
            <variable name='proxy_bypass_src_netmask_eth1' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_src_network_eth2' type='network' description="Exception source de type réseau pour l'interface 2" multi='True'/>
            <variable name='proxy_bypass_src_netmask_eth2' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_src_network_eth3' type='network' description="Exception source de type réseau pour l'interface 3" multi='True'/>
            <variable name='proxy_bypass_src_netmask_eth3' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
            <variable name='proxy_bypass_src_network_eth4' type='network' description="Exception source de type réseau pour l'interface 4" multi='True'/>
            <variable name='proxy_bypass_src_netmask_eth4' type='netmask' description="Masque de sous-réseau associé" mandatory='True'>
                <value>255.255.255.255</value>
            </variable>
        </family>

        <separators>
            <separator name='proxy_bypass_domain_eth0' never_hidden='True'>Exceptions de proxy pour des domaines de destination</separator>
            <separator name='proxy_noauth'>Ne pas authentifier des domaines de destination</separator>
            <separator name='proxy_bypass_eth0' never_hidden='True'>Exceptions de proxy pour des IP et adresses réseaux de destination</separator>
            <!--<separator name='proxy_bypass_src_network_eth0' never_hidden='True'>Exceptions de proxy pour des IP et adresses réseaux source</separator>-->
            <separator name='proxy_bypass_src_network_eth1'>Exceptions de proxy pour des IP et adresses réseaux source</separator>
        </separators>

    </variables>

    <constraints>

        <auto name='calc_multi_val' target='proxy_noauth_auto'>
            <param type='eole'>serveur_maj</param>
            <param type='eole'>ubuntu_update_mirrors</param>
            <param>eole.ac-dijon.fr</param>
            <param>eoleng.ac-dijon.fr</param>
            <param>bp-eole.ac-dijon.fr</param>
            <param>test-eole.ac-dijon.fr</param>
            <param>test-eoleng.ac-dijon.fr</param>
            <param>ftp.crihan.fr</param>
            <param>.archive.canonical.com</param>
            <param>.ubuntu.com</param>
            <param>.ppa.launchpad.net</param>
            <param>.database.clamav.net</param>
            <param>.db.fr.clamav.net</param>
            <param>.pool.ntp.org</param>
            <param>.services.openoffice.org</param>
            <param>.windowsupdate.com</param>
            <param>.wustat.windows.com</param>
            <param>.microsoft.com</param>
            <param>.pack.google.com</param>
            <param>eqos.orion.education.fr</param>
        </auto>

        <condition name='disabled_if_not_in' source='nombre_interfaces'>
            <param>1</param>
            <!--<target type='variable'>proxy_bypass_src_network_eth0</target>
            <target type='variable'>proxy_bypass_src_netmask_eth0</target>-->
            <target type='variable'>proxy_bypass_eth0</target>
            <target type='variable'>proxy_bypass_domain_eth0</target>
        </condition>
        <condition name='disabled_if_in' source='proxy_bypass_eth0'>
            <param>non</param>
            <target type='variable'>proxy_bypass_network_eth0</target>
            <target type='variable'>proxy_bypass_netmask_eth0</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <target type='variable'>proxy_bypass_src_network_eth1</target>
            <target type='variable'>proxy_bypass_src_netmask_eth1</target>
            <target type='variable'>proxy_bypass_eth1</target>
            <target type='variable'>proxy_bypass_domain_eth1</target>
        </condition>
        <condition name='disabled_if_in' source='proxy_bypass_eth1'>
            <param>non</param>
            <target type='variable'>proxy_bypass_network_eth1</target>
            <target type='variable'>proxy_bypass_netmask_eth1</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <target type='variable'>proxy_bypass_src_network_eth2</target>
            <target type='variable'>proxy_bypass_src_netmask_eth2</target>
            <target type='variable'>proxy_bypass_eth2</target>
            <target type='variable'>proxy_bypass_domain_eth2</target>
        </condition>
        <condition name='disabled_if_in' source='proxy_bypass_eth2'>
            <param>non</param>
            <target type='variable'>proxy_bypass_network_eth2</target>
            <target type='variable'>proxy_bypass_netmask_eth2</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <target type='variable'>proxy_bypass_src_network_eth3</target>
            <target type='variable'>proxy_bypass_src_netmask_eth3</target>
            <target type='variable'>proxy_bypass_eth3</target>
            <target type='variable'>proxy_bypass_domain_eth3</target>
        </condition>
        <condition name='disabled_if_in' source='proxy_bypass_eth3'>
            <param>non</param>
            <target type='variable'>proxy_bypass_network_eth3</target>
            <target type='variable'>proxy_bypass_netmask_eth3</target>
        </condition>

        <condition name='disabled_if_in' source='nombre_interfaces'>
            <param>1</param>
            <param>2</param>
            <param>3</param>
            <param>4</param>
            <target type='variable'>proxy_bypass_src_network_eth4</target>
            <target type='variable'>proxy_bypass_src_netmask_eth4</target>
            <target type='variable'>proxy_bypass_eth4</target>
            <target type='variable'>proxy_bypass_domain_eth4</target>
        </condition>
        <condition name='disabled_if_in' source='proxy_bypass_eth4'>
            <param>non</param>
            <target type='variable'>proxy_bypass_network_eth4</target>
            <target type='variable'>proxy_bypass_netmask_eth4</target>
        </condition>

        <!--<group master='proxy_bypass_src_network_eth0'>
            <slave>proxy_bypass_src_netmask_eth0</slave>
        </group>-->
        <group master='proxy_bypass_src_network_eth1'>
            <slave>proxy_bypass_src_netmask_eth1</slave>
        </group>
        <group master='proxy_bypass_src_network_eth2'>
            <slave>proxy_bypass_src_netmask_eth2</slave>
        </group>
        <group master='proxy_bypass_src_network_eth3'>
            <slave>proxy_bypass_src_netmask_eth3</slave>
        </group>
        <group master='proxy_bypass_src_network_eth4'>
            <slave>proxy_bypass_src_netmask_eth4</slave>
        </group>

        <!--<check name="valid_networknetmask" target="proxy_bypass_src_netmask_eth0">
            <param type='eole'>proxy_bypass_src_network_eth0</param>
        </check>-->
        <check name="valid_networknetmask" target="proxy_bypass_src_netmask_eth1">
            <param type='eole'>proxy_bypass_src_network_eth1</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_src_netmask_eth2">
            <param type='eole'>proxy_bypass_src_network_eth2</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_src_netmask_eth3">
            <param type='eole'>proxy_bypass_src_network_eth3</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_src_netmask_eth4">
            <param type='eole'>proxy_bypass_src_network_eth4</param>
        </check>

        <group master='proxy_bypass_network_eth0'>
            <slave>proxy_bypass_netmask_eth0</slave>
        </group>
        <group master='proxy_bypass_network_eth1'>
            <slave>proxy_bypass_netmask_eth1</slave>
        </group>
        <group master='proxy_bypass_network_eth2'>
            <slave>proxy_bypass_netmask_eth2</slave>
        </group>
        <group master='proxy_bypass_network_eth3'>
            <slave>proxy_bypass_netmask_eth3</slave>
        </group>
        <group master='proxy_bypass_network_eth4'>
            <slave>proxy_bypass_netmask_eth4</slave>
        </group>

        <check name="valid_networknetmask" target="proxy_bypass_netmask_eth0">
            <param type='eole'>proxy_bypass_network_eth0</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_netmask_eth1">
            <param type='eole'>proxy_bypass_network_eth1</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_netmask_eth2">
            <param type='eole'>proxy_bypass_network_eth2</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_netmask_eth3">
            <param type='eole'>proxy_bypass_network_eth3</param>
        </check>
        <check name="valid_networknetmask" target="proxy_bypass_netmask_eth4">
            <param type='eole'>proxy_bypass_network_eth4</param>
        </check>

    </constraints>

    <help>
        <family name='exceptions proxy'>Gestion des exceptions de proxy</family>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
